Ruby
Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
update_domain_request = Helo::UpdateDomainRequest.new(
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
)
Helo::Domains.update(id, update_domain_request)import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.update(
"550e8400-e29b-41d4-a716-446655440000",
{
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
},
);package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.UpdateDomainRequest{
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
}
result, err := client.Domains.Update(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}using HeloEmail.Sdk.Domains;
var domain = await helo.Domains.Update("domain-id", new UpdateDomainRequest
{
ChannelIds = ["channel-id"],
});import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
domain = client.domains.update("domain-id", channel_ids=["channel-id"]){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"verified": true,
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deleted": true
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Domains
Update a domain
Modifies an existing domain by ID.
PATCH
/
domains
/
{id}
Ruby
Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
update_domain_request = Helo::UpdateDomainRequest.new(
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
)
Helo::Domains.update(id, update_domain_request)import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.update(
"550e8400-e29b-41d4-a716-446655440000",
{
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
},
);package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.UpdateDomainRequest{
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
}
result, err := client.Domains.Update(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}using HeloEmail.Sdk.Domains;
var domain = await helo.Domains.Update("domain-id", new UpdateDomainRequest
{
ChannelIds = ["channel-id"],
});import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
domain = client.domains.update("domain-id", channel_ids=["channel-id"]){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"verified": true,
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deleted": true
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I